package CH.ifa.draw.contrib.xcomp;

import CH.ifa.draw.standard.*;
import CH.ifa.draw.framework.*;
import java.awt.*;
import java.util.*;
import com.objectspace.jgl.Pair;
import com.objectspace.jgl.HashMap;
import java.io.*;
import CH.ifa.draw.util.*;


// should cache preferred/minimum layout size/rectangle - easy to do
// and saves lot of computation

public abstract class ManagedComposite extends CompositeFigure {

	protected Dimension fPrefSize;
	protected Dimension fMinSize;
  /**
   * Allow subfigure changes only to the positive direction (down and right).
   */
  public boolean acceptSubFigureChange(Point origin, Point corner) {
    //System.err.println("FigureHolder#acceptSubFigureChange");
    boolean accept = true;
    if (origin.x < (displayBox().x+getInsets().left)) {
      accept = false;
      origin.x = displayBox().x+getInsets().left;
    }
    if (origin.y < (displayBox().y+getInsets().top)) {
      accept = false;
      origin.y = displayBox().y+getInsets().top;
    }
    return accept;
  }
	
}