package CH.ifa.draw.contrib.xcomp;

import CH.ifa.draw.standard.*;
import CH.ifa.draw.framework.*;
import CH.ifa.draw.figures.*;
import java.awt.Point;
import java.awt.Rectangle;
import java.awt.Dimension;




public class MyFrame extends FrameComposite {
	
  public MyFrame() {
    super();
  }
  public MyFrame(Point origin, Point corner) {
    super(origin,corner);
  }

  protected RootFigure createRootFigure(){
    return new RootRectangleFigure(this);
  }

  protected RootFigure createRootFigure(Point origin, Point corner) {
    return new RootRectangleFigure(origin,corner,this);
  }

  protected DrawLayoutManager getDefaultLayoutManager() {
   	return new BagFlowLayout();
   	//return new VListLayout();
   	//return new VListCenteringLayout();
   	//return new VTiledLayout();
  } 

  /* *
   * Returns the desired size of this. 
   * returns the size of the current display box.
   * /
  public Dimension getPreferredSize() {
    return new Dimension(displayBox().width,displayBox().height);
  } */

}