/*
 * @(#)FigureMovedEvent.java
 */

package CH.ifa.draw.framework;

/**
 * Indicate a move event.
 */
public class FigureMovedEvent
	extends FigureChangeEvent {
  /**
   * movement along X-axis
   */
	private int fDx;
  /**
   * movment along Y-axis
   */
	private int fDy;

	public FigureMovedEvent(Figure source,int dx,int dy) {
		super(source);
		fDx = dx;
		fDy = dy;
	}

	public int getDx() { return fDx; }

	public int getDy() { return fDy; }
}
