



package CH.ifa.draw.samples.statechart;

import CH.ifa.draw.contrib.*;

import java.awt.*;
import java.util.*;
import CH.ifa.draw.framework.*;
import CH.ifa.draw.figures.*;
import CH.ifa.draw.standard.*;

/** A Final pseudostate in a statechart. */

public class EndDot extends FixedSizeEllipse {

    public EndDot(Point origin,Point corner) {
        super(origin,corner);
    }

    public EndDot() {
        super();
    }

	protected Point getExtension() {
		return new Point(16,16);
	}
  
  public void drawBackground(Graphics g) {
    Rectangle r = displayBox();
    Color c = g.getColor();
    g.setColor(Color.white);
    g.fillOval(r.x, r.y, r.width, r.height);
    g.setColor(Color.black);
    g.fillOval(r.x+3, r.y+3, r.width-6, r.height-6);
    g.setColor(c);
  }

}