package CH.ifa.draw.samples.statechart;

import com.objectspace.jgl.*;
import relap.Editor.AbstractObjectToSymbolMap;

public class StateChartEditorMap
	extends AbstractObjectToSymbolMap {
	
	protected void fill() {
		add("StandardDrawing","pseudoPanel","drawing");
		add("TextFigure","text","text symbol");
		add("SuperState","rrect","state rectangle");     
		add("NameCompartment","namePanel","compartment");     
		add("ITCompartment","itPanel","compartment");     
		add("StateCompartment","statePanel","compartment");
		add("LabelPanel","labelPanel","multi-string text holder");    
		add("StartDot","initial","start dot");     
		add("EndDot","final","end dot");     
		add("Transition","arrow","transition arrow");  	// explicit relation
		add("","inside");				// implicit relation
		add("","enters");				// implicit relation
		add("","exits");				// implicit relation
		add("","attached");				// implicit relation
	}
}