package CH.ifa.draw.samples.statechart;

import relap.Editor.*;
import com.objectspace.jgl.Array;
import com.objectspace.jgl.SList;
import relap.LanguageModel.InvalidTupleException;
import CH.ifa.draw.framework.Figure;
import CH.ifa.draw.framework.FigureEnumeration;

public class StateChartInputGeneratorMap 
	extends DefaultInputGeneratorMap {

	public void createMap() {
		super.createMap();
		SList exclude = new SList();
		exclude.add("Transition");
		exclude.add("LabelPanel");
		getMap().add(
			"SuperState",
			new ContainmentToRelationMapper("inside",exclude)
		);
		getMap().add(
			"Transition",
			new TransitionToRelation("exits","enters")
		);
		if (getMap().get("StandardDrawing") != null)
			getMap().remove("StandardDrawing");
		getMap().add(
			"StandardDrawing",
			new ContainmentToRelationMapper("inside",exclude)
		);
		getMap().add(
			"NameCompartment",
			new ContainmentToRelationMapper("inside",exclude)
		);
		getMap().add(
			"ITCompartment",
			new ContainmentToRelationMapper("inside",exclude)
		);
		getMap().add(
			"StateCompartment",
			new ContainmentToRelationMapper("inside",exclude)
		);
		getMap().add(
			"LabelPanel",
			new LabelToRelation("inside","attached",exclude)
		);

	}

}