package CH.ifa.draw.samples.statechart;

import relap.Analyzer.MiddleNode;
import relap.Analyzer.EmptyNode;
import relap.Analyzer.LeafNode;
import com.objectspace.jgl.SList;
import com.objectspace.jgl.HashMap;
import com.objectspace.jgl.algorithms.Copying;
import CH.ifa.draw.framework.*;

public class StateChartRep 
	extends MiddleNode 
	implements StateChartNode {

	public void accept(StateChartVisitor visitor) {
		visitor.visitStateChartRep(this);
	}
	
	public SList getStates() {
		return (SList)getDescendantAt(2);
	}
	
	public InitialRep getInitial() {
		return (InitialRep)getDescendantAt(1);
	}

	public SList getFinals() {
		return (SList) getOptionalDescendantAt(3);
	}

	public LeafNode getDiagramContainer() {
		return (LeafNode)getDescendantAt(0);
	}
	
	public SList getContainedStates() {
		SList list = new SList();
		list.pushBack(getInitial());
		Copying.copy(getStates(),list);
		if (getFinals()!=null)
			Copying.copy(getFinals(),list);
		return list;
	}	
	
}