package CH.ifa.draw.samples.statechart;

import relap.Analyzer.MiddleNode;
import relap.Analyzer.EmptyNode;
import relap.Analyzer.SyntaxTreeNode;
import com.objectspace.jgl.*;
import java.util.*;

public class StateSymbolRep 
	extends MiddleNode 
	implements StateChartNode {
		
	public void accept(StateChartVisitor visitor) {
		visitor.visitStateSymbolRep(this);
	}
	
	public Object getRectangle() {
		return getDescendantAt(0);
	}
	
	public NameCompartmentRep getNameCompartment() {
		return (NameCompartmentRep)getOptionalDescendantAt(1);
	}

	public ITCompartmentRep getITCompartment() {
		return (ITCompartmentRep)getOptionalDescendantAt(2);
	}

	public SList getStateCompartments() {
		return (SList)getOptionalDescendantAt(3);
	}
}