package CH.ifa.draw.samples.statechart;

import relap.Editor.*;
import com.objectspace.jgl.Array;
import CH.ifa.draw.framework.*;
import CH.ifa.draw.figures.*;

import relap.LanguageModel.InvalidTupleException;

public class TransitionToRelation 
	extends LineConnectionToRelation {
	
	String fExitRelation;
	
	public TransitionToRelation(String exitRelationName,String enterRelationName) {
		super(enterRelationName);
		fExitRelation = exitRelationName;
	}

	public void visit(Object target,Object visitorState)
		throws VisitorException {
		InputGenerationState state = (InputGenerationState)visitorState;
		state.setVisited(target);
		state.input.addObject(target);
		state.input.setTerminalType(
			target,
			state.symbols.mapObjectToSymbol(target)
		);
		Array tuple;
		
		//if (((LineConnection)target).start().owner() instanceof StartDot) {
			tuple = new Array(2);
			tuple.put(0,target);
			tuple.put(1,((LineConnection)target).start().owner());
			try {
				state.addImplicitRelationTuple(fExitRelation,tuple);
			} 
			catch (InvalidTupleException e) {
				throw new VisitorException(e.getMessage());
			}
			catch (NoSuchRelationException e) {
				throw new VisitorException(e.getMessage());
			}
		//}
		//else {
			tuple = new Array(2);
			tuple.put(0,target);
			tuple.put(1,((LineConnection)target).end().owner());
			try {
				state.addImplicitRelationTuple(getRelationName(),tuple);
			} 
			catch (InvalidTupleException e) {
				throw new VisitorException(e.getMessage());
			}	
			catch (NoSuchRelationException e) {
				throw new VisitorException(e.getMessage());
			}
		//}
	}	
}