package CH.ifa.draw.samples.statechart.semantics;

import relap.Analyzer.LeafNode;
import com.objectspace.jgl.*;
import relap.Util.*;
import java.util.Vector;

public class Final 
	extends State {

  public String getName() {
  	return "<anonymous>";
  }

  public void setName() {
  	// has no name - use id
  }

	protected HashSet checkName() {
		return new HashSet();
	}

	public void check(Vector accuErrors) {
		super.check(accuErrors);
		HashSet out = new HashSet();
		for (ForwardIterator tr = getOutgoing();!tr.atEnd();tr.advance())
			out.add(tr.get());
		if (!out.isEmpty()) 
			addError(accuErrors,"Final states cannot have outgoing transitions",out);		
	}
		
  public String describeStructure() {
    StringBuffer buf = new StringBuffer();
    buf.append(inset()+"final state");
    return buf.toString();
  }

}