package CH.ifa.draw.samples.statechart.semantics;

import java.util.Vector;

public class InternalTransition 
	extends AbstractTransition {
	
	protected State fOwner;
		
	public InternalTransition(State state) {
		super();
		fOwner = state;
	}
	
	public InternalTransition() {
		this(null);
	}

	public void setOwner(State state) {
		fOwner = state;
	}
	
	public State getOwner() {
		return fOwner;
	}
	
	
	public String toString() {
		StringBuffer buf = new StringBuffer("internal transition on ");
		if (getTrigger().equals(""))
			buf.append("'completion event'");
		else
			buf.append("'"+getTrigger()+"'");
		if (!getEffect().equals(""))
			buf.append(" action "+"'"+getEffect()+"'");
		return buf.toString();
	}
}	