package CH.ifa.draw.samples.statechart.semantics;

import com.objectspace.jgl.*;
import java.util.*;

public class SemanticMap {
	HashMap fGraphicToSemantic;
	HashMap fSemanticToGraphic;
	
	public SemanticMap() {
		fGraphicToSemantic = new HashMap(true);
		fSemanticToGraphic = new HashMap(true);
	}
	
	public void add (Object graphic,Object semantic) {
		fGraphicToSemantic.add(graphic,semantic);
		fSemanticToGraphic.add(semantic,graphic);
	}
	
	public void remove(Object graphic,Object semantic) {
		fGraphicToSemantic.remove(graphic);
		fSemanticToGraphic.remove(semantic);
	}
	
	public Enumeration getSemantic(Object graphic) {
		return fGraphicToSemantic.values(graphic);
	}

	public Enumeration getGraphic(Object semantic) {
		return fSemanticToGraphic.values(semantic);
	}
	
	public String toString() {
		return "G: "+fGraphicToSemantic.toString()+"\nS: "+fSemanticToGraphic.toString();	
	}
}	