package CH.ifa.draw.samples.statechart.semantics;

class SeverityTagType {
		
}


public class Severity {
	
	
	private static SeverityTagType WARNING = new SeverityTagType();
	private static SeverityTagType ERROR = new SeverityTagType();
	
	public static boolean WARNING(Severity object) {
		return object.tag() == WARNING;
	}
	
	public static boolean ERROR(Severity object) {
		return object.tag() == ERROR;
	}
	
	private SeverityTagType tag;

	private Severity(SeverityTagType t) {
		tag = t;
	}
	
	private SeverityTagType tag() {
		return tag;
	}
	
	public static Severity createWarning() {
		return new Severity(WARNING);
	}

	public static Severity createError() {
		return new Severity(ERROR);
	}
}
	