package relap.Analyzer;

import com.objectspace.jgl.*;
import com.objectspace.jgl.algorithms.Copying;

public class AgendaItem {

	private HashSet keys;
	private ParseState state;

	public AgendaItem(ParseState state) {
		this.state = state;
		keys = new HashSet();
	}

	public ParseState state() { return state; }

	public HashSet keys() { return keys; }
	
	public AgendaItem addKey(Object key) {
		keys.put(key);
		return this;
	}
	
	public AgendaItem keys(HashSet key_set) {
		Copying.copy(key_set,keys);
		return this;
	}
	
	public String toString() { 
		StringBuffer buf = new StringBuffer(state.toString()+" keys: ");
		for (HashSetIterator key=keys.begin();!key.atEnd();key.advance())
			buf.append(key.get().toString()+" ");
		return buf.toString(); 
	}
}
