package relap.Analyzer;

import relap.LanguageModel.ObjectReference;
import com.objectspace.jgl.Sequence;

public class EmptyLeaf extends LeafState {

	public EmptyLeaf(String category) {
		super(category);
	}

	public boolean contains(InActiveState subState) {
		return false;
	}

	public Sequence dereference(ObjectReference ref) {
		return null;
	}
	
	public Object inputObject() {
		return null;
	}
  
	public String toString(int steps,int indent) {
		StringBuffer buf = new StringBuffer("\n");
		for (int i=1;i<=steps*indent;i++) buf.append(" ");
		buf.append(toString());
    	return buf.toString();
    }
 
 
	public Object referencedValue(ObjectReference ref) {
        return null;
	}

  public void createSemantics() {
  	_semantics = new EmptyNode();
  	((EmptyNode)_semantics).initialize(this);
  	_semantics.setDescription("optional construct not present");
  }

}