package relap.Analyzer;

import relap.Util.Utils;
import com.objectspace.jgl.*;
import com.objectspace.jgl.algorithms.Copying;
import java.io.*;

public abstract class Failure extends ParseResult {

	protected String _message;
	
	public Failure() {
		super(false);
		_message = "Parse error";
	} 

	public Failure(String msg) {
		super(false);
		_message = msg;
	} 

	abstract public Container errorDescriptors();
	
	public void reportOn(PrintWriter log) {
		log.println(
			_message+" ->\n"+
			Utils.contentsToString(errorDescriptors(),"\n")
		);	
	}
}
