package relap.Analyzer;

import com.objectspace.jgl.SList;

public class LeafNode implements SyntaxTreeNode {

	private LeafState fParseState;
	private Object fGraphic;
	private String fDescription;

	public LeafNode() {
		fParseState = null;
		fGraphic = null;
		fDescription = null;
	}
	
	public void initialize(InActiveState state) {
		fParseState = (LeafState)state;
		fGraphic = ((LeafState)state).inputObject();
	}
	
	public Object getGraphic() {
		return fGraphic;
	}

	public void setDescendants(SList list) {
	}
	
	public SList getDescendants() {
		return new SList();
	}
	
	public Object getDescendantAt(int pos) 
		throws IndexOutOfBoundsException {
		throw new IndexOutOfBoundsException("LeafNode has no descendants");
	}
	
	public void setDescription(String description) {
		fDescription = description;
	}

	public String getDescription() {
		return fDescription;
	}

	public SyntaxTreeIterator start() {
		return new LeafNodeIterator(this);
	}
}
