package relap.Analyzer;

import com.objectspace.jgl.*;
import com.objectspace.jgl.algorithms.*;

public class LeafNodeIterator implements SyntaxTreeIterator {

	SyntaxTreeNode fCurrentNode;
	
	public LeafNodeIterator(SyntaxTreeNode root) {
		fCurrentNode = (LeafNode)root;
	}
	
	public int depth() {
		return 0;
	}
	
	public boolean atEnd() {
		return fCurrentNode == null;
	}
	
	public SyntaxTreeNode current() {
		return fCurrentNode;
	}
	
	public void advance() {
		fCurrentNode = null;
	}
}
