package relap.Analyzer;

import relap.LanguageModel.Verifiable;
import relap.LanguageModel.ExistenceConstraint;

public class NotExistsError extends ErrorDescriptor {

	ExistenceConstraint fConstraint;
	ExistenceFailureData fData;
	
	public NotExistsError(ParseState state,Verifiable failedConstraint,FailureData data) {
		super(state,"Failed not-exixts constraint");
		fConstraint = (ExistenceConstraint)failedConstraint;
		fData = (ExistenceFailureData)data;
	}
	
	/*
	public boolean isError() {
		return false;
	}
	*/
	
	public Object index() {
		return null;
	}
	
	public FailureData getFailureData() {
		return fData;
	}
	
	public Verifiable getConstraint() {
		return fConstraint;
	}

	public Verifiable getFailedCondition() {
		return getConstraint();
	}
	
	public String toString() {
		return "Existence constraint "+fConstraint+" failed with input "+fData;
	}
} 