package relap.Analyzer;

import com.objectspace.jgl.*;
import com.objectspace.jgl.algorithms.Copying;
import com.objectspace.jgl.predicates.UnaryNot;
import java.util.Enumeration;
import relap.LanguageModel.Tuple;

public class RelationCoverChecker {

	public HashSet check(IndexedMDSet md_set) {
		HashSet unmarked_tuples = new HashSet();
		for (Enumeration name=md_set.getRelationNames();name.hasMoreElements();)
			Copying.copy(
				md_set.getRelation((String)name.nextElement()).filterTuples(
					new UnaryNot(
						new UnaryPredicate() {
							public boolean execute(Object tuple) {
								return ((Tuple)tuple).isMarked();
							}
						}
					)
				),
				unmarked_tuples
			);
		return unmarked_tuples;
	}
	
}
