package relap.Analyzer;

import com.objectspace.jgl.*;
import com.objectspace.jgl.algorithms.Copying;
import com.objectspace.jgl.algorithms.Applying;
import com.objectspace.jgl.algorithms.Comparing;
import com.objectspace.jgl.algorithms.Filtering;
import com.objectspace.jgl.algorithms.Finding;
import com.objectspace.jgl.predicates.BindSecondPredicate;
import com.objectspace.jgl.predicates.BindFirstPredicate;
import relap.LanguageModel.OrderingVariant;
import relap.LanguageModel.AttributeAssignment;
import relap.LanguageModel.ObjectReference;
import relap.LanguageModel.InDirectReference;
import relap.LanguageModel.Constraint;

import relap.LanguageModel.Verifiable;
import relap.LanguageModel.InvalidQueryArgumentsException;
import java.util.Enumeration;

public class SkipState extends ActiveState {
	
	public SkipState() {
		super();
	}

	public SkipState(OrderingVariant variant) {
		super(variant);
	}

	public void copyStateFrom(ActiveState state) {
		state.initCopy(this);
	}
	
	public boolean equals(Object state) {
		return
			this==state ||
			((state instanceof SkipState) && equalState((SkipState)state));
	}
}
