package relap.Editor;


import java.awt.*;
import java.awt.event.*;
import java.io.*;

public class ExceptionPanel extends Panel implements ActionListener {    
    private TextArea textArea;
    Button dismissButton;

    public ExceptionPanel(String contents) {
        super();
        setLayout(new BorderLayout());
        textArea = new TextArea(12, 60);
        textArea.setEditable(false);
        String newline = System.getProperty("line.separator");
        try {
          	BufferedReader content =
        		new BufferedReader(new StringReader(contents));
        	String line = content.readLine();
        	while (line != null) {
        		textArea.append(line+newline);
        		line = content.readLine();
        	}
        } catch (IOException e) {
        	System.err.println(e);
        	textArea.append("Failed to read contents");
        }
        add("North",new Label("Error:"));
        add("Center", textArea);
        //Create bottom row.
        //Panel p2 = new Panel();
        //dismissButton = new Button("Dismiss");
        //dismissButton.addActionListener(this);
        //p2.add(dismissButton);
        //add("South", p2);

        //Initialize this dialog to its preferred size.
        //pack();
    }

    public void actionPerformed(ActionEvent event) {
        setVisible(false);
    }


}