package relap.Editor;

import CH.ifa.draw.standard.*;
import CH.ifa.draw.framework.*;

public class SemanticConnector extends LocatorConnector {

	private Object fSemantics;
	
    public SemanticConnector() { // only used for Storable
        super();
        fSemantics = null;
    }

    public SemanticConnector(Figure owner, Locator l) {
        super(owner,l);
        fSemantics = null;
    }

    public SemanticConnector(Figure owner, Locator l,Object semantics) {
        super(owner,l);
        fSemantics = semantics;
    }

	public Object getSemantics() {
		return fSemantics;
	}
}