package relap.Editor;

import relap.Analyzer.SyntaxTreeNode;
import relap.Analyzer.SyntaxTreeIterator;

public class TreePrinter implements SemanticProcessor {

	public Object process(SyntaxTreeNode tree) {
		StringBuffer buf = new StringBuffer();
		SyntaxTreeIterator node = tree.start();
		while (!node.atEnd()) {
			for (int i = 0;i < node.depth();i++)
				buf.append("   ");
			buf.append(node.current().getDescription()+"\n");
			node.advance();
		}
		return buf.toString();
	}

}