package relap.LanguageModel;


import com.objectspace.jgl.HashSet;
import com.objectspace.jgl.SList;
import com.objectspace.jgl.Pair;


public class NotExists extends ExistenceConstraint {

	
	public NotExists(String relation,SList terminals) {
		super(relation,terminals);
	}

	public NotExists(String relation,Pair objects,SList terminals) {
		super(relation,objects,terminals,0);
	}	

	protected boolean evaluate(HashSet result) {
		//System.err.println("NotExists::evaluate "+result);
		if (result.size() != 0) 		
			return false;
		else
			return true;
	}
	
	protected String getQuantity() {
		return "no";
	}
	
}