package relap.LanguageModel;

import relap.Util.Utils;
import relap.Analyzer.ParseState;
import relap.Analyzer.IndexedMDSet;
import relap.Analyzer.FailureData;
import relap.Analyzer.ExistenceFailureData;
import com.objectspace.jgl.Pair;
import com.objectspace.jgl.Array;
import com.objectspace.jgl.SList;
import com.objectspace.jgl.HashSet;
import com.objectspace.jgl.HashSetIterator;
import com.objectspace.jgl.SListIterator;
import com.objectspace.jgl.algorithms.Copying;
import java.util.Enumeration;

public class Some  extends ExistenceConstraint {

	
	public Some(String relation,SList terminals) {
		super(relation,terminals);
	}
	
	public Some(String relation,Pair objects,SList terminals) {
		this(relation,objects,terminals,1);
	}

	public Some(String relation,Pair objects,SList terminals,
	                           int exactly) {
		super(relation,objects,terminals,exactly);
	}	

	
	protected boolean evaluate(HashSet result) {
		//System.err.println("Some::evaluate "+result);
		if (result.size() == 0) 		
			return false;
		else
			return true;
	}

	
	protected String getQuantity() {
		return "one or more";
	}
}