package CH.ifa.draw.samples.classdiagram.work;

import CH.ifa.draw.standard.*;
import CH.ifa.draw.framework.*;
import CH.ifa.draw.contrib.xcomp.*;
import java.awt.*;
import java.util.*;
import java.io.*;

	
public class Compartment extends FigurePanel {

    public Compartment() {
      this(new Point(0,0),new Point(0,0));
    }

    public Compartment(Point origin, Point corner) {
      super(origin,corner);
    }
    
	
	/**
	 * Draws corner markers only if this compartment is currently
	 * placed directly on the drawing.
	 */
	public void drawCorners(Graphics g) {
		if (parent() != null && (parent() instanceof Drawing))
			super.drawCorners(g);
	}

  /**
   * Returns false. Compartments can not be connected.
   */
  public boolean canConnect() {
  	return false;
  }
	

}