package CH.ifa.draw.samples.statechart;

import CH.ifa.draw.standard.*;
import CH.ifa.draw.framework.*;
import CH.ifa.draw.contrib.xcomp.*;
import java.awt.*;
import java.util.*;
import com.objectspace.jgl.Pair;
import com.objectspace.jgl.HashMap;
import java.io.*;
import CH.ifa.draw.util.*;

	
public class StateCompartment extends Compartment {

    
    public StateCompartment() {
      this(new Point(0,0),new Point(0,0));
    }

    public StateCompartment(Point origin, Point corner) {
      super(origin,corner);
    }
    
	public boolean accept(Figure figure) {
		if (figure instanceof FigurePanel) 
			return false;
		return true;
	}
	
  protected DrawLayoutManager getDefaultLayoutManager() {
   	BagFlowLayout l = new BagFlowLayout();
   	l.setEmptySize(new Dimension(60,40));
   	return l;
   	//return new CenteredVListLayout(1);
   	//return new VListCenteringLayout();
   	//return new VTiledLayout();
  } 
  
}