package CH.ifa.draw.samples.statechart;

import relap.Analyzer.MiddleNode;
import relap.Analyzer.LeafNode;
import com.objectspace.jgl.*;
import CH.ifa.draw.figures.*;
import CH.ifa.draw.framework.*;


public class StateCompartmentRep 
	extends MiddleNode 
	implements StateChartNode,StateContainer {
		
	public void accept(StateChartVisitor visitor) {
		visitor.visitStateCompartmentRep(this);
	}
	
	public LeafNode getPanel() {
		return (LeafNode)getDescendantAt(0);
	}
	
	public SList getInternalTransitions() {
		if (getDescendants().size()==1)
			return new SList();
		return (SList)getDescendantAt(1);
	}		
	
	public SList getContainedStates() {
		return new SList();		
	}
}