package CH.ifa.draw.samples.statechart;

import relap.Analyzer.MiddleNode;
import relap.Analyzer.EmptyNode;
import com.objectspace.jgl.*;
import com.objectspace.jgl.algorithms.*;
import relap.Util.*;
import java.util.Enumeration;

public class StateRep 
	extends MiddleNode 
	implements StateChartNode {
		
	public void accept(StateChartVisitor visitor) {
		visitor.visitStateRep(this);
	}
	
	public StateSymbolRep getStateSymbol() {
		return (StateSymbolRep)getDescendantAt(0);
	}
		
	public SList getTransitions() {
		SList desc = (SList)getDescendantAt(1);
		if (desc.size() == 1 && (desc.front() instanceof EmptyNode))
			return null;
		return desc;
	}	
	
}