package CH.ifa.draw.samples.statechart.semantics;

import relap.Analyzer.LeafNode;
import com.objectspace.jgl.*;
import relap.Util.*;
import java.util.Vector;

public class Initial
	extends PseudoState {
		  
  public String describeStructure() {
    StringBuffer buf = new StringBuffer();
    buf.append(inset()+"initial state");
    return buf.toString();
  }
  
	public void check(Vector accuErrors) {
		super.check(accuErrors);
		HashSet in = new HashSet();
		for (ForwardIterator tr = getIncoming();!tr.atEnd();tr.advance())
			in.add(tr.get());
		if (!in.isEmpty()) 
			addError(accuErrors,"Initial states cannot have incoming transitions",in);		
	}

}