package CH.ifa.draw.samples.statechart.test;

import CH.ifa.draw.samples.statechart.semantics.*;
import com.objectspace.jgl.*;
import java.util.*;

public class TestContext extends AbstractContext {
	
	protected HashMap createEvents() {
		HashMap map = new HashMap(); 
		map.add("event1",new Event("event1"));
		map.add("event2",new Event("event2"));
		map.add("event3",new Event("event3"));
		map.add("interrupt",new Event("interrupt"));
		map.add("quit",new Event("quit"));
		map.add("reset",new Event("reset"));
		map.add("done",new Event("done"));
		map.add("pass",new Event("pass"));
		map.add("fail",new Event("fail"));
		map.add("deadline missed",new Event("deadline missed"));
		return map;
	}
	
	protected Vector createActions() {
		Vector actions = new Vector();
		actions.addElement("action0");
		actions.addElement("action1");
		actions.addElement("action2");
		actions.addElement("action3");
		actions.addElement("action4");
		actions.addElement("action5");
		actions.addElement("action6");
		actions.addElement("action7");
		actions.addElement("action8");
		actions.addElement("action9");
		actions.addElement("start");
		actions.addElement("stop");
		actions.addElement("send");
		actions.addElement("grade");
		actions.addElement("gradeAll");
		return actions;
	}
}