package CH.ifa.draw.samples.tree;

import relap.Editor.*;
import com.objectspace.jgl.Array;
import relap.LanguageModel.Tuple;
import relap.LanguageModel.InvalidTupleException;
import CH.ifa.draw.framework.Figure;
import CH.ifa.draw.framework.FigureEnumeration;

public class TreeInputGeneratorMap 
	extends DefaultInputGeneratorMap {

	public void createMap() {
		super.createMap();
		getMap().add(
			"TreeLink",
			new LineConnectionToRelation("linked")
		);
		getMap().add(
			"Node",
			new ContainmentToRelationMapper("inside")
		);
	}

}