

package CH.ifa.draw.standard;

import java.awt.Point;

/**
 * A LabelSlotLocator provides a method for computing a position on the
 * associated line and a method for computing an off-line position
 * relative to that point.
 */
public interface LabelSlotLocator {
  /** Returns a point on the line from p1 to p2. */
  public Point locate(Point p1,Point p2);
  /** Retuns a relative position off the line from p1 to p2. */
  public Point displace(Point p1,Point p2);
}
