

package CH.ifa.draw.standard;

import java.awt.Point;
import CH.ifa.draw.framework.*;

/**
 * NullAligner does not change the current position of the child.
 * This class is the minimal implementation of the Aligner
 * interface.
 */

public class NullAligner implements Aligner {
	
  public Point align(Figure child) {
    return child.displayBox().getLocation();
  }
}