package relap.Analyzer;

import com.objectspace.jgl.*;

public class AdvancementError extends ErrorDescriptor {
	protected InActiveState _inactive_state;
	protected Object _index;
	
	public AdvancementError(ActiveState state,InActiveState i_state,
	                        String msg,Object input_object) {
		super(state,msg);
		_inactive_state = i_state;
		_index = input_object;
	}
	
	public HashSet cover() {
		if (_inactive_state != null)
			return errorLoc.cover().union(_inactive_state.cover());
		return errorLoc.cover();
	}

	public void inActiveState(InActiveState i_state) { 
		_inactive_state = i_state;
	}
	
	public InActiveState inActiveState() {
		return _inactive_state;
	}
	
	public Object index() {
		return _index;
	}

	public ActiveState incompleteParse(){		
		ActiveState new_a_state = new IntermediateState(errorLoc.productionVariant());
		DescendantList sub_trees = new DescendantList(((ActiveState)errorLoc).subTrees());
		if (errorLoc.productionVariant().isRepetitive(((ActiveState)errorLoc).dot()))
			new_a_state.dot(((ActiveState)errorLoc).dot());
		else
			new_a_state.dot(((ActiveState)errorLoc).dot() + 1);
		sub_trees.addDescendant(((ActiveState)errorLoc).dot(),_inactive_state);
		new_a_state.subTrees(sub_trees);
		new_a_state.setPendingInput(
			new SList(((ActiveState)errorLoc).getPendingInput())
		); 
		new_a_state.previous((ActiveState)errorLoc);
		new_a_state.originator(((ActiveState)errorLoc).originator());
		new_a_state.creator("patch");
		new_a_state.addToMask(((ActiveState)errorLoc).mask());
		new_a_state.addRelationTuples(((ActiveState)errorLoc).relationTuples());
		System.err.println("new_a_state: "+new_a_state);
		return new_a_state;
	}
	
	public String toString() {
		StringBuffer buf = new StringBuffer();
		buf.append("at "+_index.toString()+":\n");
		buf.append(_message);
		buf.append("\nafter advancing\n"+((ActiveState)errorLoc).toString());
		if (_inactive_state != null)
			buf.append("\nwith\n"+_inactive_state.toString());
		return buf.toString();
	}
}
