package relap.Analyzer;

abstract public class Ambiguity extends ErrorDescriptor{
	
	public Ambiguity(ParseState location) {
		super(location);
	}
	
	public Ambiguity(ActiveState location) {
		super(location);
	}
	
	public boolean isRecoverable() {
		return false;
	}
	
	public boolean equals(Object amb) {
		if (this == amb) 
			return true;
		if (getClass() != amb.getClass())
			return false;
		if (!location().equals(((Ambiguity)amb).location()))
			return false; 
		return true;
	}
}
