package relap.Analyzer;

import com.objectspace.jgl.SList;
import com.objectspace.jgl.SListIterator;
import com.objectspace.jgl.HashSet;

public class CircularityError extends ErrorDescriptor {

	protected ParsePath parsePath;

	public CircularityError(ActiveState state) {
		super(state);
		parsePath = new ParsePath();
	}

	public CircularityError(ActiveState state,ParsePath path) {
		super(state);
		parsePath = path;
	}
	
	public Object index() {
		return null;
	}
	
	public HashSet indices() {
		return parsePath.pathCover();
	}
	
	public boolean isRecoverable() {
		return false;
	}
	
	public ParsePath parsePath() {
		return parsePath;
	}
	
	public String toString() {
		return "cycle in parse:\n"+parsePath.toString();
	}
	
	public String describe() {
		return "Illegal cycle detected";
	}
}
