package relap.Analyzer;

import com.objectspace.jgl.SList;

public class EmptyNode implements SyntaxTreeNode {

	private LeafState fParseState;
	private String fDescription;

	public EmptyNode() {
		fParseState = null;
		fDescription = null;
	}
	
	public void initialize(InActiveState state) {
		fParseState = (EmptyLeaf)state;
	}
	
	public void setDescendants(SList list) {
	}
	
	public SList getDescendants() {
		return new SList();
	}
	
	public Object getDescendantAt(int pos) 
		throws IndexOutOfBoundsException {
		throw new IndexOutOfBoundsException("EmptyNode has no descendants");
	}
	
	public void setDescription(String description) {
		fDescription = description;
	}

	public String getDescription() {
		return fDescription;
	}

	public SyntaxTreeIterator start() {
		return new LeafNodeIterator(this);
	}
}