package relap.Analyzer;

import relap.LanguageModel.Tuple;
import relap.LanguageModel.ExpanderRelation;
import com.objectspace.jgl.HashSet;
import relap.Util.Utils;

public class ExtraRelation extends ErrorDescriptor {

	private Tuple relationTuple;
	
	public ExtraRelation(Tuple tuple) {
		super(null);
		relationTuple = tuple;
	}
	
	public Object index() {
		return relationTuple.data().front();
	}

	public HashSet indices() {
		return Utils.asHashSet(relationTuple.data());
	}
	
	public boolean isRecoverable() {
		return false;
	}

	public Tuple extraTuple() {
		return relationTuple;
	}
	
	public String describe() {
		return
			((ExpanderRelation)relationTuple.relation())
				.describeExtraTuple(relationTuple);
	}
	
	public String toString() {
		return "at "+index().toString()+": extra "
			   +relationTuple.relation().name()+" "
		       +relationTuple.toString();
	}
}
