package relap.Analyzer;
import com.objectspace.jgl.BinaryPredicate;
import com.objectspace.jgl.ForwardIterator;
import relap.LanguageModel.Verifiable;
import relap.LanguageModel.ObjectReference;

public class IsNotMasked implements BinaryPredicate { 
	public boolean execute(Object pos,Object constraint) {
		boolean ok = true;
		for (ForwardIterator ref = 
				((Verifiable)constraint).rhsReferences().start();
			 !ref.atEnd();ref.advance()) 
			if (((ObjectReference)ref.get()).position() ==
				((Integer)pos).intValue()) {
				ok = false;
				break;
			}
		return ok;
	}
}
