package relap.Analyzer;

import com.objectspace.jgl.*;

public class PathAmbiguity extends Ambiguity {

	private Object index;
	
	public PathAmbiguity(ParseState location,Object index) {
		super(location);
		this.index = index;
	}
		
	public Object index() {
		return index;
	}

	public String toString() {
		StringBuffer buf = new StringBuffer();
		buf.append("Ambiguous language structure: multiple paths to");
		buf.append("\n"+location().toString()+"\nfrom states:");
		for (SListIterator state = location().previous().begin();!state.atEnd();state.advance())
			buf.append(
				"\n  "+
				((ParseState)state.get()).productionVariant().production().description()+
				"\n"+state.get().toString()
			);
		return buf.toString();	
	}	
}
