package relap.Analyzer;

public class RecoveryItem extends AgendaItem {

	private ErrorDescriptor theError;
	
	public RecoveryItem(ParseState state) {
		super(state);
		theError = null;
	}
	
	public void clearError() {
		if (theError != null) {
			theError.location().clearError();
		}
	}
	
	public void setError(ErrorDescriptor error) {
		theError = error;
	}
	
	public void discard() {
		state().unLinkFromParse();
	}
}
