package relap.Analyzer;

import com.objectspace.jgl.*;
import java.io.*;
import java.util.Enumeration;

public class Success extends ParseResult {

	private Container _trees;
	
	public Success(Container trees) {
		super(true);
		_trees = trees;
	} 

	public Container parseTrees() {
		return _trees;
	}
	
	public void reportOn(PrintWriter log) {
		for (Enumeration root=_trees.elements();root.hasMoreElements();)
			log.println(((InActiveState)root.nextElement()).toString(0,3));
	}
}
