package relap.Analyzer;
import com.objectspace.jgl.*;

public class UnprocessedInput extends ErrorDescriptor {
	private HashSet objects;
	
	public UnprocessedInput(HashSet unprocessedObjects) {
		super(null);
		objects = new HashSet(unprocessedObjects);
	}
	
	public Object index() {
		if (objects.isEmpty())
			return null;
		return objects.begin().get();
	}
	
	public HashSet indices() {
		return cover();
	}
	
	public boolean isRecoverable() {
		return false;
	}
	
	public HashSet cover() {
		return objects;
	}
	
	public String toString() {
		return("Unprocessed input objects: "+objects.toString());
	}
}
