package relap.Editor;

import com.objectspace.jgl.Array;
import relap.LanguageModel.Tuple;
import relap.LanguageModel.InvalidTupleException;
import CH.ifa.draw.framework.Figure;
import CH.ifa.draw.framework.FigureEnumeration;

public class DefaultInputGeneratorMap 
	extends AbstractObjectToVisitorMap {
	
	public void createMap() {
		getMap().add("GroupFigure",new GroupFigureInputGenerator());
		getMap().add("StandardDrawing",new StandardDrawingInputGenerator());
	}

	protected DynamicVisitor getDefaultVisitor() {
		return new FigureInputGenerator();
	}
}