package relap.Editor;

import CH.ifa.draw.framework.Figure;
import CH.ifa.draw.framework.FigureEnumeration;

public class GroupFigureInputGenerator
	implements DynamicVisitor {
	public void visit(Object figure,Object visitorState)
		throws VisitorException {
		InputGenerationState state = (InputGenerationState)visitorState;
		state.setVisited(figure);
		FigureEnumeration components = ((Figure)figure).figures();
		while (components.hasMoreElements()) {
			Figure comp = components.nextFigure(); 
			state.dispatchVisit(comp);
		}
	}
}