package relap.LanguageModel;

public class NullReference extends ObjectReference {

	public NullReference(GrammarProduction production) {
		super(production,-1);
	}
	
	public ObjectReference copy() { 
		return new NullReference(production());
	}

	public void checkRhsReference(RelationalGrammarImplementation grammar) 
		throws InvalidObjectReferenceException {
		throw(new NullReferenceException(this));
	}

	public void checkLhsReference(RelationalGrammarImplementation grammar) 
		throws InvalidObjectReferenceException {
		throw(new NullReferenceException(this));
	}

	public boolean isInDirectReference() { return false; }

	public String toString() { return "_"; }
}