package relap.LanguageModel;

import java.util.Vector;

public class RhsOrderingException extends InvalidProductionException {

	public RhsOrderingException(GrammarProduction production,int pos) {
		super(
			production,
			"** Cannot find an ordering of the right-hand-side elements\n"+
			"** beginning with the symbol at position "+
			Integer.toString(pos)
		);
	}
	
	public RhsOrderingException(GrammarProduction production,Vector pick) {
		super(
			production,
			"** Can not find an ordering for the right-hand-side elements\n"+
			"** if the optional symbols at "+pick+" are not present"
		);
	}

}	     