package relap.Util;

import com.objectspace.jgl.DList;
import com.objectspace.jgl.Sequence;

public class DiGraphNode implements GraphNode {

	private DList neighbours;
	
	public DiGraphNode() {
		neighbours = new DList();
	}
	
 	public GraphNode addNeighbour(GraphNode neighbour) {
 		neighbours.pushBack(neighbour);
 		return neighbour;
 	}
 	
	
 	public GraphNode changeNeighbour(GraphNode neighbour,GraphNode newNeighbour) {
 		if (neighbours.replace(neighbour,newNeighbour)>0)
 			return neighbour;
 		return null;
  	}
	
	public GraphNode removeNeighbour(GraphNode neighbour) {
 		return (GraphNode)neighbours.remove(neighbours.find(neighbour));
 	}
	
	public Sequence neighbours() {
		return neighbours;
	}
}
